The structure and content of the reports are subject to change without prior notice.
For example, a new column may be added or the name of the sheet may change.
Competitive Position Report
The method is available for models: FBY, FBS, Express and DBS.
If you are using an API Key token, one of the accesses in the list is required to call the method
- promotion — Product promotion
- finance-and-accounting — View financial data and reports
- all-methods — Full account management
Starts the generation of the "Competitive Position" report for the specified period. What kind of report is this
You can find out the generation status and get a link to the finished report using a request. GET v2/reports/info/{reportId}.
The -1 value in the report
If in the CSV file in the column POSITION it is -1, there were no orders for items in the specified category on that day.
Explanation of the report columns:
Sheet Конкурентная позиция (file competitors_position)
|
CSV column name |
JSON column name |
XLSX column name |
Value type |
|
DAY |
day |
День |
string |
|
SELLERS_COUNT |
sellersCount |
Продавцов в категории |
integer |
|
POSITION |
position |
Ваша позиция |
integer |
|
TOTAL_GMV |
totalGmv |
Общий оборот в категории, ₽ |
number |
|
GMV |
gmv |
Ваш оборот в категории, ₽ |
number |
|
AVG_TOTAL_GMV |
avgTotalGmv |
Средний оборот в категории, ₽ |
number |
|
SHARE |
share |
Ваша доля, % |
number |
|
AVG_GMV_OF_TOP_FIVE_PERCENT_SELLERS |
avgGmvOfTopFivePercentSellers |
Средний оборот 5% лидеров, ₽ |
number |
|
NEAREST_COMPETITOR_GMV |
nearestCompetitorGmv |
Оборот ближайшего конкурента, ₽ |
number |
| ⚙️ Limit: 10 requests per hour |
|---|
Request
POST
https://api.partner.market.yandex.ru/v2/reports/competitors-position/generate
Query parameters
|
Name |
Description |
|
format |
Type: string The format of the report or document. Report format:
Default: Enum: |
Body
application/json
{
"businessId": 1,
"categoryId": 0,
"dateFrom": "2025-08-22",
"dateTo": "2025-09-22"
}
|
Name |
Description |
|
businessId |
Type: integer Cabinet ID. To find out, use the request GET v2/campaigns. ℹ️ What is a cabinet and a store on the Market? Min value: |
|
categoryId |
Type: integer The category ID. |
|
dateFrom |
Type: string<date> The beginning of the period, inclusive. Date format: Example: |
|
dateTo |
Type: string<date> End of the period, inclusive. Date format: Example: |
Responses
200 OK
An identifier is sent in response, which allows you to find out the generation status and download the finished report.
Body
application/json
{
"status": "OK",
"result": {
"reportId": "example",
"estimatedGenerationTime": 0
}
}
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
result
Type: object
estimatedGenerationTime
Type: integer
Expected generation time in milliseconds.
reportId
Type: string
The ID that will be needed to track the generation status and receive the finished report or document.
Example:
exampleThe ID that will be needed to track the generation status and receive the finished report or document.
Example
{ "reportId": "example", "estimatedGenerationTime": 0 }Example
{ "result": { "reportId": "example", "estimatedGenerationTime": 0 } }
400 Bad Request
The request contains incorrect data. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
401 Unauthorized
The authorization data is not specified in the request. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
403 Forbidden
The authorization data is incorrect or access to the resource is prohibited. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
420 Method Failure
The resource access limit has been exceeded. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
500 Internal Server Error
Internal error of Yandex. Market. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
No longer supported, please use an alternative and newer version.